---
title: Sanitizer.sanitize()
slug: Web/API/Sanitizer/sanitize
tags:
  - HTML Sanitizer API
  - Method
  - sanitize
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("HTML Sanitizer API")}}</div>

<p class="summary">The <strong><code>sanitize()</code></strong> method of the {{domxref("sanitizer")}} interface returns a sanitized {{domxref('DocumentFragment')}} from an input, removing any offending elements or attributes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>DocumentFragment</var> = sanitizer.sanitize(input);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>input</code></dt>
 <dd>A {{jsxref('String')}} to be sanitized.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('DocumentFragment')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>This example uses the <code>sanitize</code> method to remove a disallowed <code>script</code> and <code>blink</code> elements from a string input.</p>

<pre class="brush: js notranslate">// our input string to clean
const stringToClean = 'Some text &lt;b&gt;&lt;i&gt;with&lt;/i&gt;&lt;/b&gt; &lt;blink&gt;tags&lt;/blink&gt;, including a rogue script &lt;script&gt;alert(1)&lt;/script&gt; def.';

const result = new Sanitizer().sanitize(stringToClean);
// Result: A DocumentFragment containing text nodes and a &lt;b&gt; element, with a &lt;i&gt; child element
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML Sanitizer API','#sanitizer-api','sanitizeToString')}}</td>
   <td>{{Spec2('HTML Sanitizer API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sanitizer.sanitize")}}</p>
